ResetPassword
POST
/auth/v1/password/reset/confirmRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.ResetPasswordRequest",
"$ref-value": {
"type": "object",
"properties": {
"token": {
"type": "string",
"title": "token"
},
"new_password": {
"type": "string",
"title": "new_password"
}
},
"title": "ResetPasswordRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/google.protobuf.Empty",
"$ref-value": {
"type": "object",
"description": "An empty JSON object."
}
}curl -X POST "https://api.rixl.com/auth/v1/password/reset/confirm" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/google.protobuf.Empty",
"$ref-value": {
"type": "object",
"description": "An empty JSON object."
}
}